interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 55080 characters]
        M1vHVUmhDWFm5e+/UcYgjOLVOzVdXXMgVgiK/P33/wc5JAPEkagDAA==
    headers:
      CF-RAY: [2d097fafafab1201-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36976']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:05:58 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d9248c5edba754f92708e23fc1ab399081470895557; expires=Fri,
          11-Aug-17 06:05:57 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=bN3VAVu2ouPCDg6zdY;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:05:57
          GMT; secure', 'loidcreated=2016-08-11T06%3A05%3A57.323Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:05:57 GMT; secure']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['__cfduid=d9248c5edba754f92708e23fc1ab399081470895557; expires=Fri,
          11-Aug-17 06:05:57 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=bN3VAVu2ouPCDg6zdY;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:05:57
          GMT; secure', 'loidcreated=2016-08-11T06%3A05%3A57.323Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:05:57 GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=RJE%2BySNtgZ%2Bgnr%2FAykQ2L3XJctcz83lKXx9aVDtZdSDY9qrkzrJQ41NuF2d6y35%2BDk6G2P%2FNtfs%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [loid=bN3VAVu2ouPCDg6zdY; loidcreated=2016-08-11T06%3A05%3A57.323Z;
          __cfduid=d9248c5edba754f92708e23fc1ab399081470895557]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/top/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 85000 characters]
        /fG8VRQoxgxVvE2lHeeDE4X50S7NORDv+n//7/8Dcxv6g8KkBAA=
    headers:
      CF-RAY: [2d097fbb4fdd1201-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['57038']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:06:00 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=JYvzY1pIqFY4NH4BJf3xGsaBVoTIFKqe1KsGViP%2FHtISnPvfjRow3jLOfEo73o%2FxUza%2FOuY%2BJyK4NRLJ%2BxJ4onYfgsutpo4m']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
